
The plan is to replace the `srv` server that is currently used as standalone docker/NFS server, with a Proxmox instance as it would allow some more flexibility.

My current requirements are:

- I need a NFS server (Proxmox can do that)

- Jenkins agent

## NFS

Meanwhile I configure the NFS entries, the Kubernetes services will be down.

## Jenkins

The idea is to replace Jenkins with ArgoCD eventually, so as per the moment will be a 🤷

## Core Services

They will be moved to the Kubernetes cluster.

### Jellyfin

Will need to wait until:

- NFS are set up
- Kubernetes worker node is set up / set up to only ARM64 arch.

### Home DHCP

I'm so good that I already was building an image with DHCP both for `amd64` and `arm64`.

### Registry

- Wait until NFS is set up

### Tube

- Wait until NFS is set up
- Kubernetes worker node is set up / set up to only ARM64 arch.

### QBitTorrent

- Wait until NFS is set up

### CoreDNS

- Will be deleted.

### Gitea

- Wait until NFS is set up

## Extra notes

Could create a new NFS pool for media related, specially when some data could b stored in an HDD and other could be stored in a SSD.


# Steps

## Make the DHCP server work in/from the Kubernetes cluster

- [x] Done

## Confirm how can I create a NFS server in Proxmox

https://www.reddit.com/r/Proxmox/comments/nnkt52/proxmox_host_as_nfs_server_or_guest_container_as/

https://forum.level1techs.com/t/how-to-create-a-nas-using-zfs-and-proxmox-with-pictures/117375

## Reorganize the local Network distribution/update the DHCP server

- [x] Done

## Update the DHCP server with the new arrangement

- [x] Ready
- [x] Done

## Update the DNS server with the new arrangement

- [x] Ready
- [x] Done

## Delete External service points for the Klussy deployments

- [x] Done

## Install Proxmox

- [x] Done

## Install NFS service on the Proxmox host

- [x] Done

## Configure NFS mount vols on the NFS server

- [x] Done

## Move directory from old NFS to new NFS server

- [x] Done

## Configure NFS mount vols on the klussy cluster to match the new NFS server 

- [x] Done

## Deploy "old" external services (if possible) + their NFS mounts

- [x] Gitea
- [x] Tube (older version) 
- [x] Registry  # Maybe replace Registry for Harbor in the future

https://ruzickap.github.io/k8s-harbor/part-04/#install-harbor-using-helm

## Deploy new slave node on the Proxmox server

- [x] Done

## Update Cluster to latest version cause it's about time.

Made this Ansible script:
- https://gitea.filterhome.xyz/ofilter/ansible_update_cluster

- [x] Done

## Deploy remaining services + their NFS mounts

- [x] Jellyfin + architecture selector
- [x] QBitTorrent
- [x] Filebrowser


## [EXTRA] Deploy new slave node on the Proxmox server

Decided to add ANOTHER VM as a slave to allow some flexibility between x64 nodes.

- [ ] Configure the VM to have Hardware Acceleration [0] [1]
- [x] Created the VM and installed the OS
- [ ] ?
- [ ] Done

```
[0]
https://www.wundertech.net/how-to-set-up-gpu-passthrough-on-proxmox/

https://www.virtualizationhowto.com/2023/10/proxmox-gpu-passthrough-step-by-step-guide/
```

```shell
echo "blacklist nouveau" >> /etc/modprobe.d/blacklist.conf echo "blacklist nvidia" >> /etc/modprobe.d/blacklist.conf echo "blacklist radeon" >> /etc/modprobe.d/blacklist.conf



```


## Jellyfin GPU Acceleration

- [ ] Configured Jellyfin with GPU acceleration
- [ ] Apply the same steps for the VM01 previously deployed

## Deploy master node on the Proxmox server



## Update rest of the stuff/configs as required to match the new Network distribution

Which stuff?

IDK. It's an OS in case I'm forgetting something


